package com.lantone.qc.kernel.catalogue.operationdiscussion;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.operation.OperationDoc;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.List;

/**
 * @Description: 缺手术开始时间
 * @author: 胡敬
 * @time: 2020/3/28 16:32
 */
@Component
public class OPE0628 extends QCCatalogue {

    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) throws ParseException {
        status.set("0");
//        boolean isOperativePatient = true;//是手术患者(暂时默认是)
//        if (isOperativePatient) {
            List<OperationDoc> operationDocs = inputInfo.getOperationDocs();
        if(operationDocs == null || operationDocs.size() == 0){
            status.set("0");
            return;
        }
            if (ListUtil.isNotEmpty(operationDocs)) {
                long count = operationDocs.stream().filter(operationDoc -> {
                    boolean flag = false;
                    if (operationDoc.getOperationRecordDoc() != null
                            && StringUtil.isBlank(operationDoc.getOperationRecordDoc().getStructureMap().get("手术开始时间"))) {
                        flag = true;
                    }
                    return flag;
                }).count();
                if (count > 0) {
                    status.set("-1");
                }
            }
        }
//    }

}